# Uses of Class
org.apache.sysds.runtime.transform.decode.Decoder

Packages that use Decoder
Package
Description
org.apache.sysds.runtime.instructions.fed
org.apache.sysds.runtime.instructions.spark
org.apache.sysds.runtime.transform.decode

## Uses of Decoder in org.apache.sysds.runtime.instructions.fed

Constructors in org.apache.sysds.runtime.instructions.fed with parameters of type Decoder
Modifier
Constructor
Description
``
`DecodeMatrix(long input, long outputID, FrameBlock meta, Decoder decoder)`

## Uses of Decoder in org.apache.sysds.runtime.instructions.spark

Constructors in org.apache.sysds.runtime.instructions.spark with parameters of type Decoder
Modifier
Constructor
Description
``
`RDDTransformDecodeFunction(Decoder decoder, int blen)`

## Uses of Decoder in org.apache.sysds.runtime.transform.decode

Subclasses of Decoder in org.apache.sysds.runtime.transform.decode
Modifier and Type
Class
Description
`class`
`DecoderBin`
Simple atomic decoder for binned columns.
`class`
`DecoderComposite`
Simple composite decoder that applies a list of decoders in specified order.
`class`
`DecoderDummycode`
Simple atomic decoder for dummycoded columns.
`class`
`DecoderPassThrough`
Simple atomic decoder for passing through numeric columns to the output.
`class`
`DecoderRecode`
Simple atomic decoder for recoded columns.
Methods in org.apache.sysds.runtime.transform.decode that return Decoder
Modifier and Type
Method
Description
`static Decoder`
DecoderFactory.`createDecoder(String spec, String[] colnames, Types.ValueType[] schema, FrameBlock meta)`
`static Decoder`
DecoderFactory.`createDecoder(String spec, String[] colnames, Types.ValueType[] schema, FrameBlock meta, int clen)`
`static Decoder`
DecoderFactory.`createDecoder(String spec, String[] colnames, Types.ValueType[] schema, FrameBlock meta, int minCol, int maxCol)`
`static Decoder`
DecoderFactory.`createDecoder(String spec, String[] colnames, Types.ValueType[] schema, FrameBlock meta, int clen, int minCol, int maxCol)`
`static Decoder`
DecoderFactory.`createInstance(int type)`
`Decoder`
Decoder.`subRangeDecoder(int colStart, int colEnd, int dummycodedOffset)`
Returns a new Decoder that only handles a sub range of columns.
`Decoder`
DecoderBin.`subRangeDecoder(int colStart, int colEnd, int dummycodedOffset)`
`Decoder`
DecoderComposite.`subRangeDecoder(int colStart, int colEnd, int dummycodedOffset)`
`Decoder`
DecoderDummycode.`subRangeDecoder(int colStart, int colEnd, int dummycodedOffset)`
`Decoder`
DecoderPassThrough.`subRangeDecoder(int colStart, int colEnd, int dummycodedOffset)`
`Decoder`
DecoderRecode.`subRangeDecoder(int colStart, int colEnd, int dummycodedOffset)`
Methods in org.apache.sysds.runtime.transform.decode with parameters of type Decoder
Modifier and Type
Method
Description
`static int`
DecoderFactory.`getDecoderType(Decoder decoder)`